Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.util
Class SynchronousCommand

    java.lang.Object
      de.grogra.pf.ui.util.SynchronousCommand

All Implemented Interfaces:
  Command

    public class SynchronousCommand

extends java.lang.Object
implements Command

Field Summary
`protected Command` | `command`

Fields inherited from interface de.grogra.pf.ui.Command
`DISPOSE`

Constructor Summary
`SynchronousCommand(Command command)`

Method Summary
`java.lang.String` | `getCommandName()` Returns a name which can be used in the graphical user interface to represent this command.
`void` | `run(java.lang.Object object, Context ctx)` Performs the actions of this command.
`void` | `runAndWait(java.lang.Object info, Context ctx, int flags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### command

    protected final Command command

Constructor Detail

### SynchronousCommand

    public SynchronousCommand(Command command)

Method Detail

### getCommandName

    public java.lang.String getCommandName()

  Description copied from interface: `Command`
  Returns a name which can be used in the graphical user interface to represent this command.

  Specified by:
    `getCommandName` in interface `Command`
  Returns:
    this commands's name

### run

    public void run(java.lang.Object object,
                    Context ctx)

  Description copied from interface: `Command`
  Performs the actions of this command. This method is invoked by the `JobManager` after the command has been submitted to the job manager by one of `execute`, `runAt`, or `runLater`-methods. The arguments `info` and `context` are the arguments which have been provided as arguments to the `JobManager`-methods.

  Specified by:
    `run` in interface `Command`
  Parameters:
    `object` - an argument
    `ctx` - a context

### runAndWait

    public void runAndWait(java.lang.Object info,
                           Context ctx,
                           int flags)
                    throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD